'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class FileUtils {
    static async exists(path) {
        return new Promise(resolve => {
            _fs2.default.exists(path, exists => resolve(exists));
        });
    }

    static async renameFolder(path1, path2) {
        return new Promise((resolve, reject) => {
            _fs2.default.rename(path1, path2, error => {
                if (error) {
                    reject(error);
                }

                resolve();
            });
        });
    }

    static async remove(path) {
        return new Promise((resolve, reject) => {
            _fs2.default.unlink(path, error => {
                if (error) {
                    reject(error);
                }

                resolve();
            });
        });
    }
}
exports.default = FileUtils;